Skip to main content
GET
/
v1
/
jettons
/
{address}
/
price
getJettonPrice
curl --request GET \
  --url https://api.dyor.io/v1/jettons/{address}/price
import requests

url = "https://api.dyor.io/v1/jettons/{address}/price"

response = requests.get(url)

print(response.text)
const options = {method: 'GET'};

fetch('https://api.dyor.io/v1/jettons/{address}/price', options)
.then(res => res.json())
.then(res => console.log(res))
.catch(err => console.error(err));


{
  "ton": {
    "price": {
      "value": "1000500000",
      "decimals": 9
    },
    "changedAt": "2023-11-07T05:31:56Z"
  },
  "usd": {
    "price": {
      "value": "1000500000",
      "decimals": 9
    },
    "changedAt": "2023-11-07T05:31:56Z"
  },
  "currency": {
    "price": {
      "value": "1000500000",
      "decimals": 9
    },
    "changedAt": "2023-11-07T05:31:56Z"
  }
}
{
"code": 3,
"message": "invalid value",
"details": []
}
{
"code": 5,
"message": "not found",
"details": []
}
{
"code": 8,
"message": "too many requests",
"details": []
}
{
"code": 123,
"message": "<string>",
"details": [
{
"@type": "<string>"
}
]
}

Path Parameters

address
string
required

Jetton address

Example: EQCQZpelevHNsbw5IUtwSa4Cs8kqWww0KsYeDri9kwS18eCz

Query Parameters

currency
enum<string>
default:ton
Available options:
ton,
usd,
eur,
gbp,
jpy,
byn,
ves,
rub,
uah,
kzt,
krw,
ils,
idr,
aed,
gel,
twd,
try,
hkd,
inr,
cad,
amd,
aud,
pln,
cop,
brl,
chf,
mxn,
ars,
sgd,
sar,
mdl,
ron,
sek,
azn,
rsd,
nok,
myr,
bgn,
egp,
gtq,
clp,
nzd,
bdt,
kgs,
thb,
uzs,
uyu,
vnd,
ugx,
kes,
zar,
etb,
ngn,
lkr

Response

A successful response.

ton
object
usd
object
currency
object